<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateConsultantsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('consultants', function (Blueprint $table) {
            $table->id();
            $table->String('client_reg')->nullable();
            $table->String('user_title')->nullable();
            $table->String('mname')->nullable();
            $table->String('fname')->nullable();
            $table->String('lname')->nullable();
            $table->String('gender')->nullable();
            $table->String('country')->nullable();
            $table->String('individual_firm')->nullable();
            $table->String('company_name')->nullable();
            $table->String('ADB')->nullable();
            $table->String('ownership')->nullable();
            $table->String('mailing_address')->nullable();
            $table->String('permanent_address')->nullable();
            $table->String('street_address')->nullable();
            $table->String('city')->nullable();
            $table->String('region')->nullable();
            $table->String('province')->nullable();
            $table->integer('phone')->nullable();
            $table->integer('fax')->nullable();
            $table->String('project_profile_codes')->nullable();
            $table->String('description')->nullable();
            $table->String('pec_certificate')->nullable();
            $table->integer('pec_register')->nullable();
            $table->integer('postal_code')->nullable();
            $table->String('website_link')->nullable();
            $table->String('engineering')->nullable();
            $table->String('allied')->nullable();
            $table->String('email1')->nullable();
            $table->String('alternative_email')->nullable();
            $table->String('employee')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('consultants');
    }
}
